### Constructor

# GSSDP.ResourceGroup.new

#### Declaration [src]

    GSSDPResourceGroup*
    gssdp_resource_group_new (
      GSSDPClient* client
    )

#### Description

No description available.

#### Parameters

`client` | `GSSDPClient`
| The `GSSDPClient` to associate with
| The data is owned by the caller of the function

#### Return value

Returns: `GSSDPResourceGroup`
A new `GSSDPResourceGroup` object.
The caller of the function takes ownership of the data, and is responsible for freeing it